Bug 115800 - libSDL should be linked with -lpthread
libSDL should be linked with -lpthread
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 04:03 EST by airlied
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-18 10:24:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description airlied 2004-02-16 04:03:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
From what I've read about NPTL and libraries and bug #108631, it seems
that a pthread using library should be linked with -lpthread, SDL
doesn't seem to be on my system ..

ldd on it gives:
        libm.so.6 => /lib/tls/libm.so.6 (0x00cd5000)
        libdl.so.2 => /lib/libdl.so.2 (0x00cf9000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x00cfe000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00101000)
        libc.so.6 => /lib/tls/libc.so.6 (0x00b9a000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x00b82000)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run ldd on libSDL
2.
3.
    

Additional info:
Comment 1 Thomas Woerner 2004-02-18 10:24:11 EST
$ rpm -q SDL
SDL-1.2.6-3.1
$ ldd /usr/lib/libSDL-1.2.so.0.0.6 
        libm.so.6 => /lib/tls/libm.so.6 (0x00111000)
        libdl.so.2 => /lib/libdl.so.2 (0x0038a000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0x00bcf000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x00134000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00da1000)
        libc.so.6 => /lib/tls/libc.so.6 (0x0075e000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x0023c000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x006ef000)

It is linked with -lpthread.
Comment 2 airlied 2004-02-18 19:25:08 EST
Well technically it is a bug in the version I reported it in which was
Fedora Core 1, and still is... so you should've closed it with
CURRENTRELEASE or some such, not that I care as long as someone fixed
it....

Note You need to log in before you can comment on or make changes to this bug.